Package com.io7m.idstore.error_codes

# Class IdException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.idstore.error_codes.IdException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `IdAClientException`, `IdDatabaseException`, `IdPasswordException`, `IdProtocolException`, `IdSecurityException`, `IdServerException`, `IdUClientException`

public class IdException extends Exception
The base type of exceptions.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdException(IdErrorCode inErrorCode, String message)`
  Construct an exception.
  `IdException(IdErrorCode inErrorCode, String message, Throwable cause)`
  Construct an exception.
  `IdException(IdErrorCode inErrorCode, Throwable cause)`
  Construct an exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final IdErrorCode`
  `errorCode()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdException

    public IdException(IdErrorCode inErrorCode, String message)
    Construct an exception.
    Parameters:
      `inErrorCode` - The error code
      `message` - The message

  - ### IdException

    public IdException(IdErrorCode inErrorCode, String message, Throwable cause)
    Construct an exception.
    Parameters:
      `inErrorCode` - The error code
      `message` - The message
      `cause` - The cause

  - ### IdException

    public IdException(IdErrorCode inErrorCode, Throwable cause)
    Construct an exception.
    Parameters:
      `inErrorCode` - The error code
      `cause` - The cause

- ## Method Details

  - ### errorCode

    public final IdErrorCode errorCode()
    Returns:
      The error code